ru.bitel.bgbilling.kernel.network.flow

## Class Data

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.flow.Data

- Direct Known Subclasses:
    IPDataLogUtils.FlowDetail, IPFIXRecord, NetFlow9Record, NetFlowRecord, SFlowRecord, SnmpFlowRecord

      public abstract class Data
      extends java.lang.Object

  Одна единица записи о трафике для всех протоколов. Конечная единица для обработки коллектором.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `diffServ`
    `IpAddress` | `dstAddress`
    `int` | `dstPort`
    `long` | `first`
    `int` | `inputInterface`
    `byte[]` | `ipv4DstAddress`
    `byte[]` | `ipv4SrcAddress`
    `byte[]` | `ipv6DstAddress`
    `byte[]` | `ipv6SrcAddress`
    `long` | `last`
    `long` | `milliseconds`
    `long` | `nextHop`
    `long` | `octets`
    `int` | `outputInterface`
    `long` | `packets`
    `int` | `protocol`
    `IpAddress` | `srcAddress`
    `int` | `srcPort`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Data()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `copy(Data data, Data thiz)`
    `int` | `getDiffServ()`
    `long` | `getDstAddress()`
    `IpAddress` | `getDstIpAddress()`
    `int` | `getDstPort()`
    `long` | `getFirst()`
    `int` | `getInputInterface()`
    `long` | `getLast()`
    `long` | `getMilliseconds()`
    `long` | `getNextHop()`
    `long` | `getOctets()`
    `int` | `getOutputInterface()`
    `long` | `getPackets()`
    `int` | `getProtocol()`
    `long` | `getSrcAddress()`
    `IpAddress` | `getSrcIpAddress()`
    `int` | `getSrcPort()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ipv4SrcAddress

          public final byte[] ipv4SrcAddress

    - #### ipv4DstAddress

          public final byte[] ipv4DstAddress

    - #### ipv6SrcAddress

          public final byte[] ipv6SrcAddress

    - #### ipv6DstAddress

          public final byte[] ipv6DstAddress

    - #### srcAddress

          public final IpAddress srcAddress

    - #### dstAddress

          public final IpAddress dstAddress

    - #### srcPort

          public int srcPort

    - #### dstPort

          public int dstPort

    - #### nextHop

          public long nextHop

    - #### inputInterface

          public int inputInterface

    - #### outputInterface

          public int outputInterface

    - #### packets

          public long packets

    - #### octets

          public long octets

    - #### first

          public long first

    - #### last

          public long last

    - #### milliseconds

          public long milliseconds

    - #### diffServ

          public int diffServ

    - #### protocol

          public int protocol

  - ### Constructor Detail

    - #### Data

          public Data()

  - ### Method Detail

    - #### getProtocol

          public int getProtocol()

    - #### getSrcAddress

          public long getSrcAddress()

    - #### getSrcIpAddress

          public IpAddress getSrcIpAddress()

    - #### getDstIpAddress

          public IpAddress getDstIpAddress()

    - #### getSrcPort

          public int getSrcPort()

    - #### getDstAddress

          public long getDstAddress()

    - #### getDstPort

          public int getDstPort()

    - #### getNextHop

          public long getNextHop()

    - #### getInputInterface

          public int getInputInterface()

    - #### getOutputInterface

          public int getOutputInterface()

    - #### getPackets

          public long getPackets()

    - #### getOctets

          public long getOctets()

    - #### getFirst

          public long getFirst()

    - #### getLast

          public long getLast()

    - #### getMilliseconds

          public long getMilliseconds()

    - #### getDiffServ

          public int getDiffServ()

    - #### copy

          public static final void copy(Data data,
                                        Data thiz)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`